// システム行の表示／非表示を制御する
// カーソルも移動しない

#include <iocslib.h>
#include <doslibm.h>

void sysline(int onoff)
// onoff : 1=ON,0=OFF
{
int xy;
    	xy=B_LOCATE(-1,-1); // 現在座標
	C_PRINT(onoff? "\x1b[>1l":"\x1b[>1h"); // これだけするとカーソルがホームへ移動してしまう
	B_LOCATE(xy>>16,xy&0xffff); // カーソル戻し
}

#if 0
main()
{
	printf("前");
	sysline(0);
	printf("消");
	sysline(1);
	printf("後\n");
}
#endif
